curl --request GET \
--url https://mycluster.domino.tech/api/v1/executions/{id.project}/{id.domain}/{id.name}{
"id": {
"project": "<string>",
"domain": "<string>",
"name": "<string>",
"org": "<string>"
},
"spec": {
"launch_plan": {
"resource_type": "UNSPECIFIED",
"project": "<string>",
"domain": "<string>",
"name": "<string>",
"version": "<string>",
"org": "<string>"
},
"inputs": {
"literals": {}
},
"metadata": {
"mode": "MANUAL",
"principal": "<string>",
"nesting": 123,
"scheduled_at": "2023-11-07T05:31:56Z",
"parent_node_execution": {
"node_id": "<string>",
"execution_id": {
"project": "<string>",
"domain": "<string>",
"name": "<string>",
"org": "<string>"
}
},
"reference_execution": {
"project": "<string>",
"domain": "<string>",
"name": "<string>",
"org": "<string>"
},
"system_metadata": {
"execution_cluster": "<string>",
"namespace": "<string>"
},
"artifact_ids": [
{
"artifact_key": {
"project": "<string>",
"domain": "<string>",
"name": "<string>",
"org": "<string>"
},
"version": "<string>",
"partitions": {
"value": {}
},
"time_partition": {
"value": {
"static_value": "<string>",
"time_value": "2023-11-07T05:31:56Z",
"triggered_binding": {
"partition_key": "<string>",
"bind_to_time_partition": true,
"time_transform": {
"transform": "<string>",
"op": "MINUS"
}
},
"input_binding": {
"var": "<string>"
},
"runtime_binding": {}
},
"granularity": "UNSET"
}
}
]
},
"notifications": {
"notifications": [
{
"phases": [
"UNDEFINED"
],
"email": {
"recipients_email": [
"<string>"
],
"template": "<string>"
},
"pager_duty": {
"recipients_email": [
"<string>"
],
"template": "<string>"
},
"slack": {
"recipients_email": [
"<string>"
],
"template": "<string>"
}
}
]
},
"disable_all": true,
"labels": {
"values": {}
},
"annotations": {
"values": {}
},
"security_context": {
"run_as": {
"iam_role": "<string>",
"k8s_service_account": "<string>",
"oauth2_client": {
"client_id": "<string>",
"client_secret": {
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY",
"env_var": "<string>"
}
},
"execution_identity": "<string>"
},
"secrets": [
{
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY",
"env_var": "<string>"
}
],
"tokens": [
{
"name": "<string>",
"type": "CLIENT_CREDENTIALS",
"client": {
"client_id": "<string>",
"client_secret": {
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY",
"env_var": "<string>"
}
},
"idp_discovery_endpoint": "<string>",
"token_endpoint": "<string>"
}
]
},
"auth_role": {
"assumable_iam_role": "<string>",
"kubernetes_service_account": "<string>"
},
"quality_of_service": {
"tier": "UNDEFINED",
"spec": {
"queueing_budget": "<string>"
}
},
"max_parallelism": 123,
"raw_output_data_config": {
"output_location_prefix": "<string>"
},
"cluster_assignment": {
"cluster_pool_name": "<string>"
},
"interruptible": true,
"overwrite_cache": true,
"envs": {
"values": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"tags": [
"<string>"
],
"execution_cluster_label": {
"value": "<string>"
},
"execution_env_assignments": [
{
"node_ids": [
"<string>"
],
"task_type": "<string>",
"execution_env": {
"name": "<string>",
"type": "<string>",
"extant": {},
"spec": {},
"version": "<string>"
}
}
]
},
"closure": {
"outputs": {
"values": {
"literals": {}
},
"uri": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"error_uri": "<string>",
"kind": "UNKNOWN",
"timestamp": "2023-11-07T05:31:56Z",
"worker": "<string>"
},
"abort_cause": "<string>",
"abort_metadata": {
"cause": "<string>",
"principal": "<string>"
},
"output_data": {
"literals": {}
},
"computed_inputs": {
"literals": {}
},
"phase": "UNDEFINED",
"started_at": "2023-11-07T05:31:56Z",
"duration": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"notifications": [
{
"phases": [
"UNDEFINED"
],
"email": {
"recipients_email": [
"<string>"
],
"template": "<string>"
},
"pager_duty": {
"recipients_email": [
"<string>"
],
"template": "<string>"
},
"slack": {
"recipients_email": [
"<string>"
],
"template": "<string>"
}
}
],
"workflow_id": {
"resource_type": "UNSPECIFIED",
"project": "<string>",
"domain": "<string>",
"name": "<string>",
"version": "<string>",
"org": "<string>"
},
"state_change_details": {
"state": "EXECUTION_ACTIVE",
"occurred_at": "2023-11-07T05:31:56Z",
"principal": "<string>"
}
}
}Fetches a :ref:`ref_flyteidl.admin.Execution`
Retrieve an existing workflow execution.
curl --request GET \
--url https://mycluster.domino.tech/api/v1/executions/{id.project}/{id.domain}/{id.name}{
"id": {
"project": "<string>",
"domain": "<string>",
"name": "<string>",
"org": "<string>"
},
"spec": {
"launch_plan": {
"resource_type": "UNSPECIFIED",
"project": "<string>",
"domain": "<string>",
"name": "<string>",
"version": "<string>",
"org": "<string>"
},
"inputs": {
"literals": {}
},
"metadata": {
"mode": "MANUAL",
"principal": "<string>",
"nesting": 123,
"scheduled_at": "2023-11-07T05:31:56Z",
"parent_node_execution": {
"node_id": "<string>",
"execution_id": {
"project": "<string>",
"domain": "<string>",
"name": "<string>",
"org": "<string>"
}
},
"reference_execution": {
"project": "<string>",
"domain": "<string>",
"name": "<string>",
"org": "<string>"
},
"system_metadata": {
"execution_cluster": "<string>",
"namespace": "<string>"
},
"artifact_ids": [
{
"artifact_key": {
"project": "<string>",
"domain": "<string>",
"name": "<string>",
"org": "<string>"
},
"version": "<string>",
"partitions": {
"value": {}
},
"time_partition": {
"value": {
"static_value": "<string>",
"time_value": "2023-11-07T05:31:56Z",
"triggered_binding": {
"partition_key": "<string>",
"bind_to_time_partition": true,
"time_transform": {
"transform": "<string>",
"op": "MINUS"
}
},
"input_binding": {
"var": "<string>"
},
"runtime_binding": {}
},
"granularity": "UNSET"
}
}
]
},
"notifications": {
"notifications": [
{
"phases": [
"UNDEFINED"
],
"email": {
"recipients_email": [
"<string>"
],
"template": "<string>"
},
"pager_duty": {
"recipients_email": [
"<string>"
],
"template": "<string>"
},
"slack": {
"recipients_email": [
"<string>"
],
"template": "<string>"
}
}
]
},
"disable_all": true,
"labels": {
"values": {}
},
"annotations": {
"values": {}
},
"security_context": {
"run_as": {
"iam_role": "<string>",
"k8s_service_account": "<string>",
"oauth2_client": {
"client_id": "<string>",
"client_secret": {
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY",
"env_var": "<string>"
}
},
"execution_identity": "<string>"
},
"secrets": [
{
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY",
"env_var": "<string>"
}
],
"tokens": [
{
"name": "<string>",
"type": "CLIENT_CREDENTIALS",
"client": {
"client_id": "<string>",
"client_secret": {
"group": "<string>",
"group_version": "<string>",
"key": "<string>",
"mount_requirement": "ANY",
"env_var": "<string>"
}
},
"idp_discovery_endpoint": "<string>",
"token_endpoint": "<string>"
}
]
},
"auth_role": {
"assumable_iam_role": "<string>",
"kubernetes_service_account": "<string>"
},
"quality_of_service": {
"tier": "UNDEFINED",
"spec": {
"queueing_budget": "<string>"
}
},
"max_parallelism": 123,
"raw_output_data_config": {
"output_location_prefix": "<string>"
},
"cluster_assignment": {
"cluster_pool_name": "<string>"
},
"interruptible": true,
"overwrite_cache": true,
"envs": {
"values": [
{
"key": "<string>",
"value": "<string>"
}
]
},
"tags": [
"<string>"
],
"execution_cluster_label": {
"value": "<string>"
},
"execution_env_assignments": [
{
"node_ids": [
"<string>"
],
"task_type": "<string>",
"execution_env": {
"name": "<string>",
"type": "<string>",
"extant": {},
"spec": {},
"version": "<string>"
}
}
]
},
"closure": {
"outputs": {
"values": {
"literals": {}
},
"uri": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"error_uri": "<string>",
"kind": "UNKNOWN",
"timestamp": "2023-11-07T05:31:56Z",
"worker": "<string>"
},
"abort_cause": "<string>",
"abort_metadata": {
"cause": "<string>",
"principal": "<string>"
},
"output_data": {
"literals": {}
},
"computed_inputs": {
"literals": {}
},
"phase": "UNDEFINED",
"started_at": "2023-11-07T05:31:56Z",
"duration": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"notifications": [
{
"phases": [
"UNDEFINED"
],
"email": {
"recipients_email": [
"<string>"
],
"template": "<string>"
},
"pager_duty": {
"recipients_email": [
"<string>"
],
"template": "<string>"
},
"slack": {
"recipients_email": [
"<string>"
],
"template": "<string>"
}
}
],
"workflow_id": {
"resource_type": "UNSPECIFIED",
"project": "<string>",
"domain": "<string>",
"name": "<string>",
"version": "<string>",
"org": "<string>"
},
"state_change_details": {
"state": "EXECUTION_ACTIVE",
"occurred_at": "2023-11-07T05:31:56Z",
"principal": "<string>"
}
}
}Path Parameters
Name of the project the resource belongs to.
Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.
User or system provided value for the resource.
Query Parameters
Optional, org key applied to the resource.
Response
A successful response.
A workflow execution represents an instantiated workflow, including all inputs and additional metadata as well as computed results included state, outputs, and duration-based attributes. Used as a response object used in Get and List execution requests.
Show child attributes
Show child attributes
An ExecutionSpec encompasses all data used to launch this execution. The Spec does not change over the lifetime of an execution as it progresses across phase changes.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?